# Command line options

Cartes du Ciel - SkyChart accepts the following options on the command line:

Option | Parameter | Function
--- | --- | ---
--config | configuration file path | Lets you specify the configuration file to use instead of the default ”%LOCALAPPDATA%\skychart\skychart.ini” or ”~/.skychart/skychart.ini”
--loaddef | option_file_name | Same as the LOADDEFAULT server command Use this option to load an extract of the configuration file that temporarily replace some option from skychart.ini.
--unique |  | Do not launch the program if another instance is already running but instead send the other options to the running instance
--quit |  | Use this option in conjunction with --unique to close the running instance, or to exit immediately.
--nosplash |  | Do not show the splash screen on startup
--daemon |  | Start the program in background without showing the main window
--nosave |  | Do not save options on exit. Useful with --loaddef option
Options affecting the first active chart
--load | saved_file_name | Same as the LOAD server command Use this option to load a template with all the chart setting you cannot set here.
--search | object_name | Same as the SEARCH server command
--setproj | ALTAZ/EQUAT/GALACTIC/ECLIPTIC | Same as the SETPROJ server command
--setfov | 00d00m00s or 00.00 | Same as the SETFOV server command
--setra | RA:00h00m00s or RA:00.00 | Same as the SETRA server command
--setdec | DEC:+00d00m00s or DEC:00.00 | Same as the SETDEC server command
--setobs | LAT:+00d00m00sLON:+000d00m00sALT:000mOBS:name | Same as the SETOBS server command
--settz | Etc/GMT | Same as the SETTZ server command
--setdate | yyyy-mm-ddThh:mm:ss or “yyyy-mm-dd hh:mm:ss” | Same as the SETDATE server command
--setcat | "path shortname active min max " | Same as the SETCAT server command
--resize | "width height " | Same as the RESIZE server command
--dss |  | Same as the PDSS server command
--saveimg | "PNG/JPEG/BMP filename quality" | Same as the SAVEIMG server command
--print | "PRT/PS/BMP PORTRAIT/LANDSCAPE COLOR/BW filepath" | Same as the PRINT server command

Warning, contrary to commands sent by TCP/IP, options and parameters are separated by the "=" sign without any blank space. If the parameter contains spaces it must be enclosed in double quotes "".

On Unix you can send a signal to the running program with the kill command:

Signal | Action
--- | ---
1, HUP | Reload the default chart and options
15, TERM | Gracefully close the program

## Automation example using command line

Automation is normally done by sending server commands to the TCP/IP connexion but in some case it may be simpler to use the command line only.

First star the main instance :
# skychart --unique

Set the image size you want:
# skychart --unique --resize="1024 768"

Then the following command show a chart of Messier 1 without opening a new window:
# skychart --unique --setfov=3 --setproj=EQUAT --search=M1

Save an image with the current chart:
#skychart --unique --saveimg="PNG /tmp/m1.png"

You can now repeat with other objects or FOV. When finished you can close the main window:
# skychart --unique --quit

It is also possible to do all at a time and exit, without displaying anything on the screen, this is useful if you want only one image:
#skychart --nosplash --daemon --resize="1024 768" --setfov=3 --setproj=EQUAT --search=M1 --saveimg="PNG /tmp/m1.png" --quit